nz-spin([nzSpinning]="loading", nzTip="Loading executions", nzDelay="200")
  nz-card(nzBordered="false")
    nz-table(#executionTable, [nzData]="executions", [nzFrontPagination]="false", [nzTotal]="pagination.total",
      [nzPageSize]="pagination.pageSize",
      [nzPageIndex]="pagination.pageIndex", (nzPageIndexChange)="onPageIndexChange($event)")
      thead((nzSortOrderChange)="onSortChange($event)")
        tr
          th Workflow
          th Module
          th Status
          th(nzColumnKey="submittedAt", [nzSortFn]="true") Submitted at
          th(nzColumnKey="endedAt", [nzSortFn]="true") Ended at
          th Duration
      tbody
        ng-container(*ngFor="let item of executionTable.data; trackBy: trackItemById")
          ng-container(*ngTemplateOutlet="tableItem; context: { $implicit: item }")
